package org.project.entity.players;

import org.project.abilities.GuardianOath;
import org.project.item.armors.Armor;
import org.project.item.armors.KnightArmor;
import org.project.item.weapons.Sword;

public class Knight extends Player {

    private static final int MAX_HP = 150;
    private static final int MAX_MP = 80;
    private static final int LEVEL = 1;
    private static final int XP = 0;
    private static final int BASE_DAMAGE = 12;

    private final Armor personalArmor =
            new KnightArmor();

    public Knight(String name) {

        super(
                name,
                MAX_HP,
                MAX_MP,
                LEVEL,
                XP,
                null,
                BASE_DAMAGE,
                new Sword(),
                new GuardianOath()
        );
    }

    @Override
    public Armor getPersonalArmor() {
        return personalArmor;
    }
}
